package com.icomsys.main_vm.db.mybatis.alias;

import org.springframework.security.crypto.password.PasswordEncoder;

import java.io.Serializable;

/**
 * @Class Name : LoginVO.java
 * @Description : Login VO class
 * @Modification Information
 * @
 * @  수정일         수정자                   수정내용
 * @ -------    --------    ---------------------------
 * @ 2009.03.03    박지욱          최초 생성
 *
 *  @author 공통서비스 개발팀 박지욱
 *  @since 2009.03.03
 *  @version 1.0
 *  @see
 *  
 */
public class LoginVO implements Serializable{
	private static final long serialVersionUID = -8274004534207618049L;
	
	private String userId;
	private String userName;
	private String eMail;
	private String password;
	private String authCode;
	private String siteCode;
	private String systemUserId;
	private int loginCheck;
	private String update_date;
	private String ip;

	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String geteMail() {
		return eMail;
	}
	public void seteMail(String eMail) {
		this.eMail = eMail;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getSiteCode() {
		return siteCode;
	}
	public void setSiteCode(String siteCode) {
		this.siteCode = siteCode;
	}
	public String getSystemUserId() {
		return systemUserId;
	}
	public void setSystemUserId(String systemUserId) {
		this.systemUserId = systemUserId;
	}	
	public String getAuthCode() {
		return authCode;
	}
	public void setAuthCode(String authCode) {
		this.authCode = authCode;
	}
	public int getLoginCheck() { return loginCheck; }
	public void setLoginCheck(int loginCheck) { this.loginCheck = loginCheck; }
	public String getIp() {
		return ip;
	}
	public void setIp(String ip) {
		this.ip = ip;
	}
	public String getUpdate_date() { return update_date; }
	public void setUpdate_date(String update_date) { this.update_date = update_date; }

	public boolean ofValid(PasswordEncoder passwordEncoder, String dbPass) {
		return passwordEncoder.matches(this.password, dbPass);
	}

}
